Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss
Class Shutdown

    java.lang.Object
      |
      +--org.jboss.Shutdown

public class Shutdown
extends java.lang.Object

Provides an OS-independent way of shutting down JBoss. This works by accessing the JMX server and giving it the shutdown command. The host to the JMX server can be passed in as well as the port number. If neither is supplied, the defaults of localhost and 8082 are used.
Usage: java org.jboss.Shutdown [host] [port]

Version:
  $Revision: 1.1.6.1 $
Author:
  Dewayne McNair (dewayne@dmsoft.com)

Constructor Summary
`Shutdown()`

Method Summary
`static void` | `main(java.lang.String[] argv)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Shutdown

    public Shutdown()

Method Detail

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.